Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.portlet.util
Class PortletUrlHelperJSR286

    java.lang.Object
      org.apache.struts2.portlet.util.PortletUrlHelper
          org.apache.struts2.portlet.util.PortletUrlHelperJSR286

    public class PortletUrlHelperJSR286

extends PortletUrlHelper

PortletUrlJSR286Helper.

Author:
  Rene Gielen

Field Summary

Fields inherited from class org.apache.struts2.portlet.util.PortletUrlHelper
`ENCODING, PORTLETMODE_NAME_EDIT, PORTLETMODE_NAME_HELP, PORTLETMODE_NAME_VIEW, URLTYPE_NAME_ACTION, URLTYPE_NAME_RESOURCE`

Constructor Summary
`PortletUrlHelperJSR286()`

Method Summary
`protected Object` | `createUrl(String scheme, String type, Map<String,String[]> portletParams)`
`protected String` | `encodeUrl(StringBuffer sb, javax.portlet.PortletRequest req)`

Methods inherited from class org.apache.struts2.portlet.util.PortletUrlHelper
`buildResourceUrl, buildUrl, buildUrl, ensureParamsAreStringArrays`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletUrlHelperJSR286

    public PortletUrlHelperJSR286()

Method Detail

### encodeUrl

    protected String encodeUrl(StringBuffer sb,
                               javax.portlet.PortletRequest req)

  Overrides:
    `encodeUrl` in class `PortletUrlHelper`

### createUrl

    protected Object createUrl(String scheme,
                               String type,
                               Map<String,String[]> portletParams)

  Overrides:
    `createUrl` in class `PortletUrlHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.